EVENT(3)

PACKAGE
event - Routines to dispatch events to other programmes

PURPOSE
These routines are meant to provide a general pupose event dispatching mechanism for communicating programmes. $NOTE THIS PACKAGE IS WORK IN PROGRESS. THE INTERFACE MAY CHANGE IN THE NEXT RELEASE, POSSIBLY WITHOUT NOTICE.

LIBRARY
karma

LINK WITH
-lkarma

FUNCTIONS

event_initialise
    Initialise the package.

event_dispatch
    Dispatch an event.

event_register_event_func
    Register event callback.

event_set_mask
    Set the event mask

event_wait
    Wait for an event.

event_PROTO_event_func
    Generic event callback.

TABLE event_MASKS
List of event bitmasks
Value Meaning
K_EVENT_MASK_MOUSE_CLICK Mouse button click down
K_EVENT_MASK_MOUSE_RELEASE Mouse button release
K_EVENT_MASK_MOUSE_DRAG Mouse move while button down
K_EVENT_MASK_POINTER_MOVE Mouse move
K_EVENT_MASK_KEYPRESS Keyboard press
K_EVENT_MASK_POINTER_WARP Mouse warp

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/